Main Page | Directories | File List | File Members | Related Pages

# Classes.c File Reference

`#include "party.h"`

Include dependency graph for Classes.c:

Go to the source code of this file.

## Functions
SEXP | party_init (void)
int | get_dimension (SEXP object)
int | get_teststat (SEXP object)
int | get_pvalue (SEXP object)
double | get_tol (SEXP object)
int | get_maxpts (SEXP object)
double | get_abseps (SEXP object)
double | get_releps (SEXP object)
double | get_minsplit (SEXP object)
double | get_minprob (SEXP object)
double | get_minbucket (SEXP object)
SEXP | get_transformation (SEXP object, int variable)
SEXP | get_jointtransf (SEXP object)
SEXP | get_variable (SEXP object, int variable)
int | is_nominal (SEXP object, int variable)
int | is_ordinal (SEXP object, int variable)
int | is_censored (SEXP object, int variable)
int | has_missings (SEXP object, int variable)
SEXP | get_ordering (SEXP object, int variable)
SEXP | get_levels (SEXP object, int variable)
SEXP | get_scores (SEXP object, int variable)
SEXP | get_missings (SEXP object, int variable)
SEXP | get_varmemory (SEXP object, int variable)
SEXP | get_varMmemory (SEXP object, int variable)
SEXP | get_Mscorematrix (SEXP object, int variable)
int | get_savesplitstats (SEXP object)
SEXP | get_splitstatistics (SEXP object)
int | get_nobs (SEXP object)
int | get_ninputs (SEXP object)
SEXP | get_weights (SEXP object, int variable)
int | get_testtype (SEXP object)
int | get_nresample (SEXP object)
SEXP | get_varctrl (SEXP object)
SEXP | get_splitctrl (SEXP object)
SEXP | get_gtctrl (SEXP object)
SEXP | get_tgctrl (SEXP object)
double | get_mincriterion (SEXP object)
int | get_maxsurrogate (SEXP object)
int | get_randomsplits (SEXP object)
int | get_mtry (SEXP object)
SEXP | get_dontuse (SEXP object)
SEXP | get_dontusetmp (SEXP object)
int | get_stump (SEXP object)
int | check_depth (SEXP object, int depth)
int | get_ntree (SEXP object)
int | get_replace (SEXP object)
double | get_fraction (SEXP object)
## Variables
SEXP | PL2_expectationSym
SEXP | PL2_covarianceSym
SEXP | PL2_linearstatisticSym
SEXP | PL2_expcovinfSym
SEXP | PL2_expcovinfssSym
SEXP | PL2_sumweightsSym
SEXP | PL2_dimensionSym
SEXP | PL2_MPinvSym
SEXP | PL2_rankSym
SEXP | PL2_svdSym
SEXP | PL2_svdmemSym
SEXP | PL2_methodSym
SEXP | PL2_jobuSym
SEXP | PL2_jobvSym
SEXP | PL2_uSym
SEXP | PL2_vSym
SEXP | PL2_sSym
SEXP | PL2_pSym
SEXP | PL2_teststatSym
SEXP | PL2_pvalueSym
SEXP | PL2_tolSym
SEXP | PL2_maxptsSym
SEXP | PL2_absepsSym
SEXP | PL2_relepsSym
SEXP | PL2_minprobSym
SEXP | PL2_minsplitSym
SEXP | PL2_minbucketSym
SEXP | PL2_variablesSym
SEXP | PL2_transformationsSym
SEXP | PL2_is_nominalSym
SEXP | PL2_is_ordinalSym
SEXP | PL2_is_censoredSym
SEXP | PL2_orderingSym
SEXP | PL2_levelsSym
SEXP | PL2_scoresSym
SEXP | PL2_has_missingsSym
SEXP | PL2_whichNASym
SEXP | PL2_jointtransfSym
SEXP | PL2_nobsSym
SEXP | PL2_ninputsSym
SEXP | PL2_linexpcov2sampleSym
SEXP | PL2_weightsSym
SEXP | PL2_varmemorySym
SEXP | PL2_varMmemorySym
SEXP | PL2_MscorematricesSym
SEXP | PL2_splitstatisticsSym
SEXP | PL2_savesplitstatsSym
SEXP | PL2_responsesSym
SEXP | PL2_inputsSym
SEXP | PL2_testtypeSym
SEXP | PL2_nresampleSym
SEXP | PL2_varctrlSym
SEXP | PL2_splitctrlSym
SEXP | PL2_gtctrlSym
SEXP | PL2_mincriterionSym
SEXP | PL2_maxsurrogateSym
SEXP | PL2_randomsplitsSym
SEXP | PL2_mtrySym
SEXP | PL2_dontuseSym
SEXP | PL2_dontusetmpSym
SEXP | PL2_stumpSym
SEXP | PL2_maxdepthSym
SEXP | PL2_tgctrlSym
SEXP | PL2_ntreeSym
SEXP | PL2_replaceSym
SEXP | PL2_fractionSym

## Detailed Description

S4 classes for package `party'

Author:
  Author
    hothorn

Date:
  Date
    2006-04-23 19:45:59 +0200 (Sun, 23 Apr 2006)

Definition in file Classes.c.

## Function Documentation

int check_depth | ( | SEXP | object,
|  | int | depth
| ) |

| Definition at line 355 of file Classes.c. References PL2_maxdepthSym. Referenced by C_TreeGrow().

double get_abseps | ( | SEXP | object | ) |

| Definition at line 171 of file Classes.c. References PL2_absepsSym. Referenced by C_TeststatPvalue().

int get_dimension | ( | SEXP | object | ) |

| Definition at line 151 of file Classes.c. References PL2_dimensionSym. Referenced by C_ConditionalPvalue(), C_MLinearStatistic(), C_Node(), C_TestStatistic(), and R_splitcategorical().

SEXP get_dontuse | ( | SEXP | object | ) |

| Definition at line 343 of file Classes.c. References PL2_dontuseSym. Referenced by C_GlobalTest().

SEXP get_dontusetmp | ( | SEXP | object | ) |

| Definition at line 347 of file Classes.c. References PL2_dontusetmpSym. Referenced by C_GlobalTest().

double get_fraction | ( | SEXP | object | ) |

| Definition at line 371 of file Classes.c. References PL2_fractionSym. Referenced by R_Ensemble().

SEXP get_gtctrl | ( | SEXP | object | ) |

| Definition at line 319 of file Classes.c. References PL2_gtctrlSym. Referenced by C_Node().

SEXP get_jointtransf | ( | SEXP | object | ) |

| Definition at line 197 of file Classes.c. References PL2_jointtransfSym. Referenced by R_modify_response().

SEXP get_levels | ( | SEXP | object,
|  | int | variable
| ) |

| Definition at line 234 of file Classes.c. References is_nominal(), is_ordinal(), and PL2_levelsSym. Referenced by C_Node(). Here is the call graph for this function:

int get_maxpts | ( | SEXP | object | ) |

| Definition at line 167 of file Classes.c. References PL2_maxptsSym. Referenced by C_TeststatPvalue().

int get_maxsurrogate | ( | SEXP | object | ) |

| Definition at line 331 of file Classes.c. References PL2_maxsurrogateSym. Referenced by C_splitnode(), C_surrogates(), C_TreeGrow(), R_Ensemble(), R_Node(), and R_TreeGrow().

double get_minbucket | ( | SEXP | object | ) |

| Definition at line 187 of file Classes.c. References PL2_minbucketSym. Referenced by C_split().

double get_mincriterion | ( | SEXP | object | ) |

| Definition at line 327 of file Classes.c. References PL2_mincriterionSym. Referenced by C_Node().

double get_minprob | ( | SEXP | object | ) |

| Definition at line 183 of file Classes.c. References PL2_minprobSym. Referenced by C_split().

double get_minsplit | ( | SEXP | object | ) |

| Definition at line 179 of file Classes.c. References PL2_minsplitSym. Referenced by C_Node().

SEXP get_missings | ( | SEXP | object,
|  | int | variable
| ) |

| Definition at line 257 of file Classes.c. References has_missings(), and PL2_whichNASym. Referenced by C_get_node(), C_GlobalTest(), C_splitnode(), C_splitsurrogate(), and C_surrogates(). Here is the call graph for this function:

SEXP get_Mscorematrix | ( | SEXP | object,
|  | int | variable
| ) |

| Definition at line 278 of file Classes.c. References PL2_MscorematricesSym. Referenced by C_GlobalTest(), and C_MonteCarlo().

int get_mtry | ( | SEXP | object | ) |

| Definition at line 339 of file Classes.c. References PL2_mtrySym. Referenced by C_GlobalTest().

int get_ninputs | ( | SEXP | object | ) |

| Definition at line 295 of file Classes.c. References PL2_ninputsSym. Referenced by C_GlobalTest(), C_MonteCarlo(), C_Node(), C_splitnode(), C_surrogates(), R_Ensemble(), R_GlobalTest(), R_MonteCarlo(), R_Node(), and R_TreeGrow().

int get_nobs | ( | SEXP | object | ) |

| Definition at line 291 of file Classes.c. References PL2_nobsSym. Referenced by C_GlobalTest(), C_MonteCarlo(), C_Node(), C_predict(), C_splitnode(), C_splitsurrogate(), C_surrogates(), C_TreeGrow(), C_weights(), R_Ensemble(), R_get_nodeID(), R_Node(), R_predict(), R_predictRF(), R_predictRF2(), R_predictRF_weights(), R_TreeGrow(), and R_weights().

int get_nresample | ( | SEXP | object | ) |

| Definition at line 307 of file Classes.c. References PL2_nresampleSym. Referenced by C_MonteCarlo().

int get_ntree | ( | SEXP | object | ) |

| Definition at line 363 of file Classes.c. References PL2_ntreeSym. Referenced by R_Ensemble().

SEXP get_ordering | ( | SEXP | object,
|  | int | variable
| ) |

| Definition at line 223 of file Classes.c. References is_nominal(), and PL2_orderingSym. Referenced by C_Node(), and C_surrogates(). Here is the call graph for this function:

int get_pvalue | ( | SEXP | object | ) |

| Definition at line 159 of file Classes.c. References PL2_pvalueSym. Referenced by C_TeststatCriterion(), and C_TeststatPvalue().

int get_randomsplits | ( | SEXP | object | ) |

| Definition at line 335 of file Classes.c. References PL2_randomsplitsSym. Referenced by C_GlobalTest().

double get_releps | ( | SEXP | object | ) |

| Definition at line 175 of file Classes.c. References PL2_relepsSym. Referenced by C_TeststatPvalue().

int get_replace | ( | SEXP | object | ) |

| Definition at line 367 of file Classes.c. References PL2_replaceSym. Referenced by R_Ensemble().

int get_savesplitstats | ( | SEXP | object | ) |

| Definition at line 283 of file Classes.c. References PL2_savesplitstatsSym. Referenced by C_Node().

SEXP get_scores | ( | SEXP | object,
|  | int | variable
| ) |

| Definition at line 246 of file Classes.c. References is_ordinal(), and PL2_scoresSym. Here is the call graph for this function:

SEXP get_splitctrl | ( | SEXP | object | ) |

| Definition at line 315 of file Classes.c. References PL2_splitctrlSym. Referenced by C_Node(), C_splitnode(), C_surrogates(), C_TreeGrow(), R_Ensemble(), R_Node(), and R_TreeGrow().

SEXP get_splitstatistics | ( | SEXP | object | ) |

| Definition at line 287 of file Classes.c. References PL2_splitstatisticsSym. Referenced by C_Node(), and C_surrogates().

int get_stump | ( | SEXP | object | ) |

| Definition at line 351 of file Classes.c. References PL2_stumpSym. Referenced by C_TreeGrow().

int get_teststat | ( | SEXP | object | ) |

| Definition at line 155 of file Classes.c. References PL2_teststatSym. Referenced by C_GlobalTest(), C_IndependenceTest(), and C_TeststatPvalue().

int get_testtype | ( | SEXP | object | ) |

| Definition at line 303 of file Classes.c. References PL2_testtypeSym. Referenced by C_GlobalTest().

SEXP get_tgctrl | ( | SEXP | object | ) |

| Definition at line 323 of file Classes.c. References PL2_tgctrlSym. Referenced by C_Node(), and C_TreeGrow().

double get_tol | ( | SEXP | object | ) |

| Definition at line 163 of file Classes.c. References PL2_tolSym. Referenced by C_GlobalTest(), C_IndependenceTest(), C_Node(), C_split(), C_splitcategorical(), C_TeststatPvalue(), and R_splitcategorical().

SEXP get_transformation | ( | SEXP | object,
|  | int | variable
| ) |

| Definition at line 191 of file Classes.c. References PL2_transformationsSym. Referenced by C_GlobalTest(), C_MonteCarlo(), C_Node(), and R_modify_response().

SEXP get_varctrl | ( | SEXP | object | ) |

| Definition at line 311 of file Classes.c. References PL2_varctrlSym. Referenced by C_Node().

SEXP get_variable | ( | SEXP | object,
|  | int | variable
| ) |

| Definition at line 201 of file Classes.c. References PL2_variablesSym. Referenced by C_get_node(), C_Node(), C_splitnode(), C_splitsurrogate(), C_surrogates(), and R_modify_response().

SEXP get_varmemory | ( | SEXP | object,
|  | int | variable
| ) |

| Definition at line 268 of file Classes.c. References PL2_varmemorySym. Referenced by C_GlobalTest(), C_MonteCarlo(), and C_Node().

SEXP get_varMmemory | ( | SEXP | object,
|  | int | variable
| ) |

| Definition at line 273 of file Classes.c. References PL2_varMmemorySym. Referenced by C_GlobalTest(), and C_MonteCarlo().

SEXP get_weights | ( | SEXP | object,
|  | int | variable
| ) |

| Definition at line 299 of file Classes.c. References PL2_weightsSym. Referenced by C_GlobalTest(), C_Node(), and C_surrogates().

int has_missings | ( | SEXP | object,
|  | int | variable
| ) |

| Definition at line 219 of file Classes.c. References PL2_has_missingsSym. Referenced by C_get_node(), C_GlobalTest(), C_MonteCarlo(), C_Node(), C_splitnode(), C_splitsurrogate(), C_surrogates(), and get_missings().

int is_censored | ( | SEXP | object,
|  | int | variable
| ) |

| Definition at line 215 of file Classes.c. References PL2_is_censoredSym.

int is_nominal | ( | SEXP | object,
|  | int | variable
| ) |

| Definition at line 207 of file Classes.c. References PL2_is_nominalSym. Referenced by C_Node(), C_surrogates(), get_levels(), and get_ordering().

int is_ordinal | ( | SEXP | object,
|  | int | variable
| ) |

| Definition at line 211 of file Classes.c. References PL2_is_ordinalSym. Referenced by C_GlobalTest(), C_MonteCarlo(), C_Node(), get_levels(), and get_scores().

SEXP party_init | ( | void |  | ) |

| Definition at line 79 of file Classes.c. References PL2_absepsSym, PL2_covarianceSym, PL2_dimensionSym, PL2_dontuseSym, PL2_dontusetmpSym, PL2_expcovinfssSym, PL2_expcovinfSym, PL2_expectationSym, PL2_fractionSym, PL2_gtctrlSym, PL2_has_missingsSym, PL2_inputsSym, PL2_is_censoredSym, PL2_is_nominalSym, PL2_is_ordinalSym, PL2_jobuSym, PL2_jobvSym, PL2_jointtransfSym, PL2_levelsSym, PL2_linearstatisticSym, PL2_linexpcov2sampleSym, PL2_maxdepthSym, PL2_maxptsSym, PL2_maxsurrogateSym, PL2_methodSym, PL2_minbucketSym, PL2_mincriterionSym, PL2_minprobSym, PL2_minsplitSym, PL2_MPinvSym, PL2_MscorematricesSym, PL2_mtrySym, PL2_ninputsSym, PL2_nobsSym, PL2_nresampleSym, PL2_ntreeSym, PL2_orderingSym, PL2_pSym, PL2_pvalueSym, PL2_randomsplitsSym, PL2_rankSym, PL2_relepsSym, PL2_replaceSym, PL2_responsesSym, PL2_savesplitstatsSym, PL2_scoresSym, PL2_splitctrlSym, PL2_splitstatisticsSym, PL2_sSym, PL2_stumpSym, PL2_sumweightsSym, PL2_svdmemSym, PL2_svdSym, PL2_teststatSym, PL2_testtypeSym, PL2_tgctrlSym, PL2_tolSym, PL2_transformationsSym, PL2_uSym, PL2_varctrlSym, PL2_variablesSym, PL2_varmemorySym, PL2_varMmemorySym, PL2_vSym, PL2_weightsSym, and PL2_whichNASym.

## Variable Documentation

SEXP PL2_absepsSym

| Definition at line 12 of file Classes.c. Referenced by get_abseps(), and party_init().

SEXP PL2_covarianceSym

| Definition at line 12 of file Classes.c. Referenced by C_ConditionalPvalue(), C_ExpectCovarInfluence(), C_ExpectCovarLinearStatistic(), C_LinStatExpCovMPinv(), C_MLinearStatistic(), C_Node(), C_split(), C_TestStatistic(), party_init(), R_ExpectCovarInfluence(), R_ExpectCovarLinearStatistic(), and R_splitcategorical().

SEXP PL2_dimensionSym

| Definition at line 12 of file Classes.c. Referenced by get_dimension(), and party_init().

SEXP PL2_dontuseSym

| Definition at line 12 of file Classes.c. Referenced by get_dontuse(), and party_init().

SEXP PL2_dontusetmpSym

| Definition at line 12 of file Classes.c. Referenced by get_dontusetmp(), and party_init().

SEXP PL2_expcovinfssSym

| Definition at line 12 of file Classes.c. Referenced by C_surrogates(), and party_init().

SEXP PL2_expcovinfSym

| Definition at line 12 of file Classes.c. Referenced by C_GlobalTest(), C_IndependenceTest(), C_MonteCarlo(), C_Node(), party_init(), and R_splitcategorical().

SEXP PL2_expectationSym

| Definition at line 12 of file Classes.c. Referenced by C_ExpectCovarInfluence(), C_ExpectCovarLinearStatistic(), C_MLinearStatistic(), C_Node(), C_split(), C_TestStatistic(), party_init(), R_ExpectCovarInfluence(), R_ExpectCovarLinearStatistic(), and R_splitcategorical().

SEXP PL2_fractionSym

| Definition at line 12 of file Classes.c. Referenced by get_fraction(), and party_init().

SEXP PL2_gtctrlSym

| Definition at line 12 of file Classes.c. Referenced by get_gtctrl(), and party_init().

SEXP PL2_has_missingsSym

| Definition at line 12 of file Classes.c. Referenced by has_missings(), and party_init().

SEXP PL2_inputsSym

| Definition at line 12 of file Classes.c. Referenced by C_GlobalTest(), C_MonteCarlo(), C_Node(), C_splitnode(), C_splitsurrogate(), C_surrogates(), and party_init().

SEXP PL2_is_censoredSym

| Definition at line 12 of file Classes.c. Referenced by is_censored(), and party_init().

SEXP PL2_is_nominalSym

| Definition at line 12 of file Classes.c. Referenced by is_nominal(), and party_init().

SEXP PL2_is_ordinalSym

| Definition at line 12 of file Classes.c. Referenced by is_ordinal(), and party_init().

SEXP PL2_jobuSym

| Definition at line 12 of file Classes.c. Referenced by CR_svd(), and party_init().

SEXP PL2_jobvSym

| Definition at line 12 of file Classes.c. Referenced by CR_svd(), and party_init().

SEXP PL2_jointtransfSym

| Definition at line 12 of file Classes.c. Referenced by C_Node(), C_splitnode(), get_jointtransf(), party_init(), R_Ensemble(), R_Node(), R_set_response(), and R_TreeGrow().

SEXP PL2_levelsSym

| Definition at line 12 of file Classes.c. Referenced by get_levels(), and party_init().

SEXP PL2_linearstatisticSym

| Definition at line 12 of file Classes.c. Referenced by C_LinStatExpCov(), C_MLinearStatistic(), C_MonteCarlo(), C_Node(), C_split(), C_TestStatistic(), party_init(), and R_splitcategorical().

SEXP PL2_linexpcov2sampleSym

| Definition at line 12 of file Classes.c. Referenced by C_Node(), C_surrogates(), and party_init().

SEXP PL2_maxdepthSym

| Definition at line 12 of file Classes.c. Referenced by check_depth(), and party_init().

SEXP PL2_maxptsSym

| Definition at line 12 of file Classes.c. Referenced by get_maxpts(), and party_init().

SEXP PL2_maxsurrogateSym

| Definition at line 12 of file Classes.c. Referenced by get_maxsurrogate(), and party_init().

SEXP PL2_methodSym

| Definition at line 12 of file Classes.c. Referenced by CR_svd(), and party_init().

SEXP PL2_minbucketSym

| Definition at line 12 of file Classes.c. Referenced by get_minbucket(), and party_init().

SEXP PL2_mincriterionSym

| Definition at line 12 of file Classes.c. Referenced by get_mincriterion(), and party_init().

SEXP PL2_minprobSym

| Definition at line 12 of file Classes.c. Referenced by get_minprob(), and party_init().

SEXP PL2_minsplitSym

| Definition at line 12 of file Classes.c. Referenced by get_minsplit(), and party_init().

SEXP PL2_MPinvSym

| Definition at line 12 of file Classes.c. Referenced by C_MPinv(), C_TestStatistic(), party_init(), and R_MPinv().

SEXP PL2_MscorematricesSym

| Definition at line 12 of file Classes.c. Referenced by get_Mscorematrix(), and party_init().

SEXP PL2_mtrySym

| Definition at line 12 of file Classes.c. Referenced by get_mtry(), and party_init().

SEXP PL2_ninputsSym

| Definition at line 12 of file Classes.c. Referenced by get_ninputs(), and party_init().

SEXP PL2_nobsSym

| Definition at line 12 of file Classes.c. Referenced by get_nobs(), and party_init().

SEXP PL2_nresampleSym

| Definition at line 12 of file Classes.c. Referenced by get_nresample(), and party_init().

SEXP PL2_ntreeSym

| Definition at line 12 of file Classes.c. Referenced by get_ntree(), and party_init().

SEXP PL2_orderingSym

| Definition at line 12 of file Classes.c. Referenced by get_ordering(), and party_init().

SEXP PL2_pSym

| Definition at line 12 of file Classes.c. Referenced by CR_svd(), party_init(), and R_MPinv().

SEXP PL2_pvalueSym

| Definition at line 12 of file Classes.c. Referenced by get_pvalue(), and party_init().

SEXP PL2_randomsplitsSym

| Definition at line 12 of file Classes.c. Referenced by get_randomsplits(), and party_init().

SEXP PL2_rankSym

| Definition at line 12 of file Classes.c. Referenced by C_ConditionalPvalue(), C_MPinv(), party_init(), and R_MPinv().

SEXP PL2_relepsSym

| Definition at line 12 of file Classes.c. Referenced by get_releps(), and party_init().

SEXP PL2_replaceSym

| Definition at line 12 of file Classes.c. Referenced by get_replace(), and party_init().

SEXP PL2_responsesSym

| Definition at line 12 of file Classes.c. Referenced by C_GlobalTest(), C_MonteCarlo(), C_Node(), C_splitnode(), party_init(), R_Ensemble(), R_get_response(), R_Node(), R_set_response(), and R_TreeGrow().

SEXP PL2_savesplitstatsSym

| Definition at line 12 of file Classes.c. Referenced by get_savesplitstats(), and party_init().

SEXP PL2_scoresSym

| Definition at line 12 of file Classes.c. Referenced by C_Node(), get_scores(), and party_init().

SEXP PL2_splitctrlSym

| Definition at line 12 of file Classes.c. Referenced by get_splitctrl(), and party_init().

SEXP PL2_splitstatisticsSym

| Definition at line 12 of file Classes.c. Referenced by get_splitstatistics(), and party_init().

SEXP PL2_sSym

| Definition at line 12 of file Classes.c. Referenced by CR_svd(), and party_init().

SEXP PL2_stumpSym

| Definition at line 12 of file Classes.c. Referenced by get_stump(), and party_init().

SEXP PL2_sumweightsSym

| Definition at line 12 of file Classes.c. Referenced by C_ExpectCovarInfluence(), C_ExpectCovarLinearStatistic(), C_GlobalTest(), C_MonteCarlo(), C_Node(), C_split(), party_init(), and R_ExpectCovarInfluence().

SEXP PL2_svdmemSym

| Definition at line 12 of file Classes.c. Referenced by C_LinStatExpCovMPinv(), and party_init().

SEXP PL2_svdSym

| Definition at line 12 of file Classes.c. Referenced by C_MPinv(), CR_svd(), and party_init().

SEXP PL2_teststatSym

| Definition at line 12 of file Classes.c. Referenced by get_teststat(), and party_init().

SEXP PL2_testtypeSym

| Definition at line 12 of file Classes.c. Referenced by get_testtype(), and party_init().

SEXP PL2_tgctrlSym

| Definition at line 12 of file Classes.c. Referenced by get_tgctrl(), and party_init().

SEXP PL2_tolSym

| Definition at line 12 of file Classes.c. Referenced by get_tol(), and party_init().

SEXP PL2_transformationsSym

| Definition at line 12 of file Classes.c. Referenced by get_transformation(), party_init(), and R_set_response().

SEXP PL2_uSym

| Definition at line 12 of file Classes.c. Referenced by CR_svd(), and party_init().

SEXP PL2_varctrlSym

| Definition at line 12 of file Classes.c. Referenced by get_varctrl(), and party_init().

SEXP PL2_variablesSym

| Definition at line 12 of file Classes.c. Referenced by get_variable(), party_init(), R_get_response(), and R_set_response().

SEXP PL2_varmemorySym

| Definition at line 12 of file Classes.c. Referenced by get_varmemory(), and party_init().

SEXP PL2_varMmemorySym

| Definition at line 12 of file Classes.c. Referenced by get_varMmemory(), and party_init().

SEXP PL2_vSym

| Definition at line 12 of file Classes.c. Referenced by CR_svd(), and party_init().

SEXP PL2_weightsSym

| Definition at line 12 of file Classes.c. Referenced by get_weights(), and party_init().

SEXP PL2_whichNASym

| Definition at line 12 of file Classes.c. Referenced by get_missings(), and party_init().